Subject: bug#11111: Problems with mkdir -p usage

From: AngusC <[email-masked]>
Date: Wed, 28 Mar 2012 02:46:26 -0700 (PDT)

Hello

I am using cygwin and have copied the core cygwin files to a folder called
binarytools on my Windows PC.  This folder is first item in path env
variable.

When I run make it has commands to do a mkdir -p <foldername>

But mkdir -p myfolder creates a folder called -p and also a folder called
myfolder???

Why the strange behaviour?

If I do which mkdir - it displays as below:
D:\>which mkdir
/binaryTools/mkdir

So it must be using the Cygwin version?

Angus

-- 
View this message in context: http://old.nabble.com/Problems-with-mkdir--p-usage-tp33544820p33544820.html
Sent from the Gnu - Coreutils - Discuss mailing list archive at Nabble.com.